{% extends "admin_pages_app/base.html" %}
<style>
    .card {
        max-width: 250px; /* set the max width of the card */
        margin: 0 auto; /* center the card horizontally */
    }
</style>
{% block content %}
    <div style="display: flex; justify-content: flex-end;">
        <a href="{% url 'admin_pages_app:payments-details' %}" id="return-btn" class="btn btn-dark">Return</a>
    </div>
    <div id="content-main" class="col-12">
        <h1 class="text-center mb-4">{{ title }}</h1>
        {% if error %}
            <div class="alert alert-danger text-center">
                <h2>{{ error }}</h2>
            </div>
        {% else %}
        <div>
            <p><em>**The percentage of the service fee may differ because it is set at the time of creation of the discussion in accordance with the application service fee at that time.</em></p>
        </div>
            {% if objects %}
                <div class="card mb-4">
                    <div class="card-body">
                        {% for discussion in objects %}
                        <form method="post">
                            {% csrf_token %}
                            <input type="hidden" name="discussion_id" value="{{ discussion.id }}"/>
                            <div class="card my-3">
                                <div class="card-body">
                                    <h5 class="card-title">{{ discussion.topic }}</h5>
                                    <p class="card-text">
                                        <strong>Discussion ID:</strong> {{ discussion.id }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Participants:</strong> {{ discussion.confirmed_participant_number }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Deposit:</strong> ${{ discussion.place.deposit.amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Total amount:</strong> ${{ discussion.total_amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Service fee:</strong> {{ discussion.service_fee }} %
                                    </p>
                                    <p class="card-text">
                                        <strong>Service fee amount:</strong> ${{ discussion.service_fee_amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Amount to send to the restaurant:</strong> ${{ discussion.amount_payable }}
                                    </p>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            {% else %}
                <div class="card mb-4">
                    <div class="card-body">
                        <h5 class="card-title">No discussions found</h5>
                    </div>
                </div>
            {% endif %}
            {% if owner_profile.company_stripe_account is not None %}
            <div class="payment-info">
                <h3 class="text-center mb-4">Payment Receiver Information</h3>
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <ul class="list-group">
                            <li class="list-group-item">
                                <strong>Company Legal Name:</strong> {{ owner_profile.company_legal_name }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company Name:</strong> {{ owner_profile.company_name }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company Email:</strong> {{ owner_profile.company_email }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company Address:</strong> {{ owner_profile.company_address }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company EIN Number:</strong> {{ owner_profile.company_ein }}
                            </li>
                            
                            <li class="list-group-item">
                                <strong>Company Stripe Acc:</strong> {{ owner_profile.company_stripe_account }}
                            </li>
                            
                        </ul>
                    </div>
                </div>
            </div>
            <div class="total-amount">
                <h4 class="text-center mt-5">Total Amount Payable: ${{ total_amount_payable }}</h4>
                    <div class="d-flex justify-content-center mt-4">
                        <a href="#" onclick="window.open('https://dashboard.stripe.com/test/connect/accounts/{{ owner_profile.company_stripe_account }}/activity', '_blank');" class="btn btn-primary">Confirm Payment</a>
                    </div>
            </div>
            {% else %}
            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="card-title">Payment receiver information</h5>
                    <p class="card-text">User ID:{{ owner_profile.user.id }} has no Stripe account.</p>
                </div>
            </div>
            <div class="total-amount">
                <h4 class="text-center mt-5">Total Amount Payable: ${{ total_amount_payable }}</h4>
                    <div class="d-flex justify-content-center mt-4">
                        <button type="submit" class="btn btn-primary" disabled>Confirm Payment</button>
                    </div>
                    <div>
                        <a href="{% url 'admin_pages_app:payments-details' %}" class="btn btn-primary">Return</a>
                    </div>
                </form>
            </div>
            {% endif %}
        {% endif %}
    </div>
{% endblock content %}
